hslua-module-text-0.2.0: Lua module for text

Copyright | © 2017–2018 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+hslua@zeitkraut.de>
Stability | alpha
Portability | ForeignFunctionInterface
Safe Haskell | None
Language | Haskell2010

Foreign.Lua.Module.Text

Description

Provide a lua module containing a selection of useful Text functions.

Synopsis

- pushModuleText :: Lua NumResults
- preloadTextModule :: String -> Lua ()

# Documentation

pushModuleText :: Lua NumResults #

Pushes the `text` module to the lua stack.

preloadTextModule :: String -> Lua () #

Add the text module under the given name to the table of preloaded packages.